# Services

Information on available services:

- [TeachingHub (Jupyterhub)](#teachinghub)
- [Webdata - File hosting](#webdata)
- [YoPass - Password Sharing](#yopass)
- [iLibrarian - Paper Management](#ilibrarian)
- [Filetransfer.sh - File sharing service](#filetransfer)
- [Uptime - Monitoring](#uptime)
- [Gitlab Runner - Gitlab CI](#gitlab-runner)


## TeachingHub
A multi-user version of the notebook designed for companies, classrooms and research labs.

[website](https://jupyter.org/hub) access: [teachinghub](https://teaching-wolke.img.univie.ac.at)

You can use this link:

- https://teaching-wolke.img.univie.ac.at

[Documentation](../TeachingHub.md) for using the TeachingHub at IMGW.

## Webdata
A modern HTTP web server index for Apache httpd, lighttpd, and nginx.

[website](https://larsjung.de/h5ai/) access: [webdata](https://srvx1.img.univie.ac.at/webdata)

You can use two links:

- https://srvx1.img.univie.ac.at/webdata
- https://img.univie.ac.at/webdata


## YoPass
Yopass is created to reduce the amount of clear text passwords stored in email and chat conversations by encrypting and generating a short lived link which can only be viewed once.

[website](https://yopass.se) access: [secure](https://srvx1.img.univie.ac.at/secure)


## iLibrarian
I, Librarian is an online service that will organize your collection of PDF papers and office documents.

[website](https://i-librarian.net) access: [library](https://srvx1.img.univie.ac.at/library)

## Filetransfer
Easy and fast file sharing from the command-line. This code contains the server with everything you need to create your own instance.

[website](https://transfer.sh) access: [filetransfer](https://srvx1.img.univie.ac.at/filetransfer)

## Uptime
Uptime Kuma is an easy-to-use self-hosted monitoring tool.

[website](https://uptime.kuma.pet) access: [uptime](https://uptime-wolke.img.univie.ac.at)

## Gitlab Runner
GitLab Runner is an application that works with GitLab CI/CD to run jobs in a pipeline.

[website]() access: via [gitlab](https://gitlab.phaidra.org/groups/imgw/-/runners)

Example project on gitlab showing how to implement a gitlab CI.